=== debian/changelog ===
ros-indigo-roch-follower (1.0.17-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chen <gchen@softrobetch.com>  Sun, 27 May 2018 11:09:26 -0000

ros-indigo-roch-follower (1.0.16-1trusty) trusty; urgency=high

  * Remap email and website.
  * Contributors: doudou0114

 -- Carl <wzhang@softrobetch.com>  Tue, 27 Mar 2018 16:00:00 -0000

ros-indigo-roch-follower (1.0.15-1trusty) trusty; urgency=high

  *update to use non deprecated pluginlib macro
  *Author: mikaelarguedas.

 -- Carl <wzhang@softrobetch.com>  Wed, 15 Nov 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.14-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.13-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Sun, 07 May 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.12-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Wed, 29 Mar 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.11-1trusty) trusty; urgency=high

  * Add twist_mux node link.
  * Fixed bug will cause can not promote speed of Roch.

 -- Carl <wzhang@softrobetch.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.10-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Thu, 16 Feb 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.9-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.8-1trusty) trusty; urgency=high

  * Changes permissions of python and config files.

 -- Carl <wzhang@softrobetch.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.7-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.6-1trusty) trusty; urgency=high

  * Modify launch file for support Roch r200.

 -- Carl <wzhang@softrobetch.com>  Mon, 16 Jan 2017 16:00:00 -0000
