=== debian/control ===
Source: ros-indigo-roch-follower
Section: misc
Priority: extra
Maintainer: Chen <gchen@softrobetch.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-depth-image-proc, ros-indigo-dynamic-reconfigure, ros-indigo-nodelet, ros-indigo-roch-msgs, ros-indigo-roscpp, ros-indigo-visualization-msgs
Homepage: http://ros.org/wiki/roch_follower
Standards-Version: 3.9.2

Package: ros-indigo-roch-follower
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-depth-image-proc, ros-indigo-dynamic-reconfigure, ros-indigo-nodelet, ros-indigo-roch-bringup, ros-indigo-roch-msgs, ros-indigo-roch-teleop, ros-indigo-roscpp, ros-indigo-topic-tools, ros-indigo-visualization-msgs
Description: Follower for the roch.
 Follows humans and robots around by following the centroid of a box points in front of the roch.
